
Redmine - Defect #42083

Page flickers as font size changes while rendering

2025-01-08 15:28 - Soonoh Jung

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 6.0.2

Description

tried using latest docker version

```

docker run --name default-redmine -p 9002:3000 redmine

```

attached a screen record

History

#1 - 2025-01-08 15:32 - Soonoh Jung

add following code in my theme fixing this issue

* {

    --fonts-main: "Noto", Arial, sans-serif;

}

#2 - 2025-01-17 07:47 - Mizuki ISHIKAWA

This flickering is likely a phenomenon called FOUT (Flash of Unstyled Text).

* { --fonts-main: "Noto", Arial, sans-serif; } is not properly loading "Noto Sans," so Arial is being used instead. Indeed, there is no flickering when using

Arial, but I personally prefer the Noto Sans font. It's a dilemma.

#3 - 2025-01-17 08:05 - Mizuki ISHIKAWA

The Noto Sans font is cached, so FOUT (Flash of Unstyled Text) is less likely to occur with regular reloads and only happens during a hard reload or

on the first access. Therefore, I don’t find the flickering caused by FOUT particularly bothersome, but this might vary depending on the person.

#4 - 2025-01-20 07:47 - Soonoh Jung

Thank you for explanation.

#5 - 2025-01-23 02:28 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

Files

Screen Recording 2025-01-08 at 11.13.59 pm.mov 276 KB 2025-01-08 Soonoh Jung

Powered by TCPDF (www.tcpdf.org)

2025-05-07 1/1

http://www.tcpdf.org

